use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

# Yes that's a control O (oh), for some reason it doesn't work on
# my systems (Perl 5.8 Windows and Linux) Weird!
my $OS = $;

if($OS eq "MSWin32") {
    # MSWin32 (can we get away with MSWin?)
    #Make the Appropriate changes for your OS here!
    print "MSWIN32\n";

    $Libs = 'ljackuw.lib';
} else {
    # All other GCC base OS's should be OK with this
    #Make the Appropriate changes for your OS here!
    print "Not MSWIN32 ($OS)\n";

    $Libs = '-llabjack';
}

WriteMakefile(
    'NAME'		=> 'LJperl',
    'VERSION_FROM'	=> 'LJperl.pm', # finds $VERSION
    'PREREQ_PM'		=> {}, # e.g., Module::Name => 1.1
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
        (ABSTRACT_FROM  => 'LJperl.pm', # retrieve abstract from module
            AUTHOR      => 'Neil Cherry <ncherry@comcast.net>') : ()),
    'LIBS'		=> [$Libs], # e.g., '-lm' # Windows
    'DEFINE'		=> '', # e.g., '-DHAVE_SOMETHING'
    # Insert -I. if you add *.h files later:
    'INC'		=> '', # e.g., '-I/usr/include/other'
    # Un-comment this if you add C files to link with later:
    # 'OBJECT'		=> '$(O_FILES)', # link all the C files too
);
